/** 	
	* \file sae102.h
	* \author Erwan. M & Corentin. L
	* \date 11/12/22 
	* \brief Résumé : Fichier .h regroupant les fonctions utilisées dans SAE2.c 
*/

#include <stdlib.h>

#include <stdio.h>

#include <string.h>



typedef struct maillon{

	char departement[32];

	int nbP;

	char nomResp[22];

	struct maillon *suiv;

}MaillonDept, *ListeDept;

typedef struct{

	char ville[30];

	ListeDept ldept;

}VilleIUT;


void menuPrincipal(void);

void sousMenuAdministrateur(void);

int fonctionChoix(void);

void affichageSousMenuUtilisateur(void);

void switchUtilisateur(int choix);

void sousMenuUtilisateur(void);

void clear(void);

ListeDept Listenouv(void);

ListeDept inserer(ListeDept l, char* departement, int nbP, char* nomResp);

ListeDept insererEnTete(ListeDept l, char* departement, int nbP, char* nomResp);

MaillonDept modifNbPlaces(MaillonDept m);

MaillonDept modifResp(MaillonDept m);

void affichageMenuPrincipal(void);

void switchPrincipal(int choix);

void affichageErreurSaisie(void);

void affichageMenuAdministrateur(void);

void affichageErreurMdp(void);